#!/bin/tcsh

#converts runoff_segment_* to matlab readable ascii
#by replacing "," with " " and getting rid of the 
#tailing 12 lines corresponding to incomplete 1999
#entries; further all runoff_files are concatenated
#into one file

#get root
 set rdir = $cwd:h:h
#define output
 set ouf = $rdir/outdata/runoff.asc
 rm $ouf

#copy to work directory
 cp $rdir/rawdata/* $rdir/work

#go to work
 cd $rdir/work

#get file list
 set list = `ls runoff_segment*`
 
#check
 echo "name of output " $ouf
 sleep 1
 echo "list to plogh through " $list

 foreach file ( $list )
  #replace commas
  srp "," " " $file
  #delete tailing 14 lines
  foreach tmp ( 1 2 3 4 5 6 7 8 9 10 11 12 13 14 )
   sed '$d' < $file > tmp_fil
   mv tmp_fil $file
  end 
 end

#merge into one file
 cat $list > $ouf

#clean work
 #rm $rdir/work/*

#say thatsit
 echo "output saved in " $ouf

